Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041453
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupminorhave not tried2019-07-24 19:442019-08-29 13:37
Reportercollazoandy4View Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revisionb4a02acc3db3
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041453: Apply HQL style guide to InitialSetupUtility

DescriptionApply HQL style guide to InitialSetupUtility
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 
related to defect 00412573.0PR19Q4 closedcollazoandy4 InitialSetupUtility.{getCOAModules,getRDModules} are not using bind-parameters 

-  Notes
(0113681)
collazoandy4 (developer)
2019-07-26 15:37

Test Plan
  Go to Initial organization setup and create a new Legal with accounting Organization, set an accounting file and select all Reference data and clic on Ok button.
  Check the process ends without error and a new organization is created.
(0114312)
hgbot (developer)
2019-08-29 08:41

Repository: erp/devel/pi
Changeset: b4a02acc3db3b3e3fe0c7e021bb021a3b9908928
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Thu Jul 25 14:29:18 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/b4a02acc3db3b3e3fe0c7e021bb021a3b9908928 [^]

Fixes issue 41453: Apply HQL style guide to InitialSetupUtility

Applied the new HQL style in InitialSetupUtility

---
M src/org/openbravo/erpCommon/businessUtility/InitialSetupUtility.java
---
(0114315)
Sandrahuguet (developer)
2019-08-29 08:43

code review + testing ok
(0114328)
hudsonbot (developer)
2019-08-29 13:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/305eae82d1bd [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-24 19:44 collazoandy4 New Issue
2019-07-24 19:44 collazoandy4 Assigned To => collazoandy4
2019-07-24 19:44 collazoandy4 Modules => Core
2019-07-24 19:44 collazoandy4 Triggers an Emergency Pack => No
2019-07-24 21:21 collazoandy4 Relationship added related to 0041287
2019-07-25 16:24 collazoandy4 Status new => scheduled
2019-07-26 15:37 collazoandy4 Note Added: 0113681
2019-08-28 14:33 Sandrahuguet Relationship added related to 0041257
2019-08-29 08:41 hgbot Checkin
2019-08-29 08:41 hgbot Note Added: 0114312
2019-08-29 08:41 hgbot Status scheduled => resolved
2019-08-29 08:41 hgbot Resolution open => fixed
2019-08-29 08:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b4a02acc3db3b3e3fe0c7e021bb021a3b9908928 [^]
2019-08-29 08:43 Sandrahuguet Review Assigned To => Sandrahuguet
2019-08-29 08:43 Sandrahuguet Note Added: 0114315
2019-08-29 08:43 Sandrahuguet Status resolved => closed
2019-08-29 08:43 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-08-29 13:37 hudsonbot Checkin
2019-08-29 13:37 hudsonbot Note Added: 0114328


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker